require(afex)
require(stringr)


### Experiment 1
d1 <- read.csv2("data/exp1/data_project_442291_2012_11_09.csv")
d2 <- d1[d1$dispcode == 31,]
demo_e1 <- d2[,c("lfdn", "duration", "example", "sex", "age", "status1", "status2", "degree", "english")]

# demographics
lapply(demo_e1[,-c(1,2,3)], table)
psych::describe(demo_e1[demo_e1$english == 1, "age"])

exp1 <- d2[d2$english == 1,]
col.data <- c("i_1_invalid_believable", "i_2_invalid_unbelievable",
              "i_4_valid_believable", "i_5_valid_unbelievable", "i_7_invalid_believable",
              "i_8_invalid_unbelievable", "i_10_valid_believable", "i_11_valid_unbelievable",
              "i_13_valid_believable", "i_14_valid_unbelievable", "i_16_invalid_believable",
              "i_17_invalid_unbelievable", "i_19_valid_believable", "i_20_valid_unbelievable",
              "i_22_invalid_believable", "i_23_invalid_unbelievable")
exp1.long <- melt(exp1, id.vars = "lfdn", measure.vars = col.data)
exp1 <- cbind(exp1.long, do.call("rbind", str_split(exp1.long$variable, pattern = "_"))[,-1])
colnames(exp1)[4:6] <- c("item", "validity", "believability")
# results
ez.glm("lfdn", "value", exp1, within = c("validity", "believability"))

### Experiment 2
d2 <- read.csv2("data/exp2/data_project_476385_2013_03_18.csv")
d2.b <- d2[d2$dispcode == 31 &d2$serious == 1 ,]

col.data <- c("syl1_f1_invalid_believable",
              "syl3_f1_invalid_believable", "syl5_f1_invalid_believable",
              "syl7_f1_invalid_believable", "syl9_f1_invalid_believable", "syl11_f1_invalid_believable",
              "syl13_f1_invalid_believable", "syl15_f1_invalid_believable",
              "syl1_f2_valid_believable", "syl3_f2_valid_believable", "syl5_f2_valid_believable",
              "syl7_f2_valid_believable", "syl9_f2_valid_believable", "syl11_f2_valid_believable",
              "syl13_f2_valid_believable", "syl15_f2_valid_believable", "syl1_f3_invalid_believable",
              "syl3_f3_invalid_believable", "syl5_f3_invalid_believable", "syl7_f3_invalid_believable",
              "syl9_f3_invalid_believable", "syl11_f3_invalid_believable",
              "syl13_f3_invalid_believable", "syl15_f3_invalid_believable",
              "syl1_f4_valid_believable", "syl3_f4_valid_believable", "syl5_f4_valid_believable",
              "syl7_f4_valid_believable", "syl9_f4_valid_believable", "syl11_f4_valid_believable",
              "syl13_f4_valid_believable", "syl15_f4_valid_believable", "syl1_f5_invalid_believable",
              "syl3_f5_invalid_believable", "syl5_f5_invalid_believable", "syl7_f5_invalid_believable",
              "syl9_f5_invalid_believable", "syl11_f5_invalid_believable",
              "syl13_f5_invalid_believable", "syl15_f5_invalid_believable",
              "syl1_f6_valid_believable", "syl3_f6_valid_believable", "syl5_f6_valid_believable",
              "syl7_f6_valid_believable", "syl9_f6_valid_believable", "syl11_f6_valid_believable",
              "syl13_f6_valid_believable", "syl15_f6_valid_believable", "syl1_f7_invalid_believable",
              "syl3_f7_invalid_believable", "syl5_f7_invalid_believable", "syl7_f7_invalid_believable",
              "syl9_f7_invalid_believable", "syl11_f7_invalid_believable",
              "syl13_f7_invalid_believable", "syl15_f7_invalid_believable",
              "syl1_f8_valid_believable", "syl3_f8_valid_believable", "syl5_f8_valid_believable",
              "syl7_f8_valid_believable", "syl9_f8_valid_believable", "syl11_f8_valid_believable",
              "syl13_f8_valid_believable", "syl15_f8_valid_believable", "syl2_f1_invalid_unbelievable",
              "syl4_f1_invalid_unbelievable", "syl6_f1_invalid_unbelievable",
              "syl8_f1_invalid_unbelievable", "syl10_f1_invalid_unbelievable",
              "syl12_f1_invalid_unbelievable", "syl14_f1_invalid_unbelievable",
              "syl16_f1_invalid_unbelievable", "syl2_f2_valid_unbelievable",
              "syl4_f2_valid_unbelievable", "syl6_f2_valid_unbelievable", "syl8_f2_valid_unbelievable",
              "syl10_f2_valid_unbelievable", "syl12_f2_valid_unbelievable",
              "syl14_f2_valid_unbelievable", "syl16_f2_valid_unbelievable",
              "syl2_f3_invalid_unbelievable", "syl4_f3_invalid_unbelievable",
              "syl6_f3_invalid_unbelievable", "syl8_f3_invalid_unbelievable",
              "syl10_f3_invalid_unbelievable", "syl12_f3_invalid_unbelievable",
              "syl14_f3_invalid_unbelievable", "syl16_f3_invalid_unbelievable",
              "syl2_f4_valid_unbelievable", "syl4_f4_valid_unbelievable", "syl6_f4_valid_unbelievable",
              "syl8_f4_valid_unbelievable", "syl10_f4_valid_unbelievable",
              "syl12_f4_valid_unbelievable", "syl14_f4_valid_unbelievable",
              "syl16_f4_valid_unbelievable", "syl2_f5_invalid_unbelievable",
              "syl4_f5_invalid_unbelievable", "syl6_f5_invalid_unbelievable",
              "syl8_f5_invalid_unbelievable", "syl10_f5_invalid_unbelievable",
              "syl12_f5_invalid_unbelievable", "syl14_f5_invalid_unbelievable",
              "syl16_f5_invalid_unbelievable", "syl2_f6_valid_unbelievable",
              "syl4_f6_valid_unbelievable", "syl6_f6_valid_unbelievable", "syl8_f6_valid_unbelievable",
              "syl10_f6_valid_unbelievable", "syl12_f6_valid_unbelievable",
              "syl14_f6_valid_unbelievable", "syl16_f6_valid_unbelievable",
              "syl2_f7_invalid_unbelievable", "syl4_f7_invalid_unbelievable",
              "syl6_f7_invalid_unbelievable", "syl8_f7_invalid_unbelievable",
              "syl10_f7_invalid_unbelievable", "syl12_f7_invalid_unbelievable",
              "syl14_f7_invalid_unbelievable", "syl16_f7_invalid_unbelievable",
              "syl2_f8_valid_unbelievable", "syl4_f8_valid_unbelievable", "syl6_f8_valid_unbelievable",
              "syl8_f8_valid_unbelievable", "syl10_f8_valid_unbelievable",
              "syl12_f8_valid_unbelievable", "syl14_f8_valid_unbelievable",
              "syl16_f8_valid_unbelievable")

d2.c <- d2.b[,c("lfdn", "duration", "example", "example2", col.data, "intuition", "logic", "sex",
                "age", "status1", "status2", "degree", "english", "serious")]
demo <- d2.b[,c("lfdn", "duration", "example", "example2", "intuition", "logic", "sex", "age", "status1", "status2", "degree", "english", "serious")]

#demographics
lapply(demo[,-c(1,2,3, 4)], table)
lapply(demo[demo$english == 1,-c(1,2,3, 4)], table)

d2.fin <- d2.b[d2.b$english == 1 & d2.b$serious == 1,]
d.logic.long <- melt(d2.fin, id.vars = "lfdn", measure.vars = col.data)
d.logic.long$variable <- as.character(d.logic.long$variable)
d.logic.long$variable <- factor(str_replace(d.logic.long$variable, "^dupl1_", ""))
d.logic.l <- cbind(d.logic.long, do.call("rbind", str_split(d.logic.long$variable, pattern = "_")))
colnames(d.logic.l)[4:7] <- c("item", "form", "validity", "believability")
d.logic.l <- d.logic.l[d.logic.l$value != -77,]
exp2 <- d.logic.l

# results
ez.glm("lfdn", "value", exp2, within = c("validity", "believability"))
